.neon {
   /* font-family: 'Bruno Ace', cursive;*/
	font-weight: 700;
    text-shadow: 0 0 5px rgb(255, 255, 255);
}

.neon2 {
	font-weight: 700;
    color: rgb(191, 216, 243)!important;
    text-shadow: 0 0 1px white;
}

.onoff {
    animation:parpadear 2.5s infinite backwards steps(3);
}
.onoff2 {
    animation:parpadear 2s infinite backwards steps(4);
}
.onoff3 {
    animation:parpadear 1.8s infinite backwards steps(2);
}
@keyframes parpadear {
    to {
        color: rgba(104, 212, 255, 0);
        text-shadow:none;
    }
}

/* RELOJ */
/************************************/
@charset "utf-8";

/*The page is built with a grid layout*/
/*Wide screens: Three columns and 1 row*/
/*Narrow screens: 2 columns and 2 rows*/
:root{
    --light0: #fff;
    --light1: #FFA500; 
    --light2: #b4b4e5;
    --light3: #efad1e;
    --dark0:  #000000;
    --dark1:  #27354b8a;
    --dark3: #192ca7bd;
    --dark4:   #0000008a;
}
html{
font-family: 'Montserrat', sans-serif;
font-size: 16px;
color: var(--light0);
}

body{
 background-color:var(--dark3);
 margin:0;
 position:relative;
}
*{
   box-sizing:border-box;
}
/****************/
/*preload animated screen */
.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  overflow: hidden;
  background: #fff;
}
.preloader:before {
  content: "";
  position: fixed;
  top: calc(50% - 30px);
  left: calc(50% - 30px);
  border: 6px solid #1977cc;
  border-top-color: #d1e6f9;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  -webkit-animation: animate-preloader 1s linear infinite;
  animation: animate-preloader 1s linear infinite;
}
@-webkit-keyframes animate-preloader {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
@keyframes animate-preloader {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}


/*Dark background for improve foreground  contrast...*/
.overlay{
    position:absolute;
    width:100vw;
    height:100%;
    opacity:0.75;
    overflow:hidden;
}
/*and host background*/
.overlay:before{
    content:'';
    position: absolute;
    width:100%;
    height:100%;
    background-image: url("../imgs/working.jpeg");
    background-repeat:no-repeat;
    background-position: 0;
    background-size: cover;
    margin: 0;
    animation-name: animbk;
    animation-duration: 30s;
    animation-iteration-count:infinite;
    animation-direction: alternate;
}


/*******************
body background Animation
********************/
@-webkit-keyframes animbk {
  from {
        background-position: 0 0;
        width:100%;
        height:100%;
        }
  to {
      background-position: -40px -40px;
      width:120%;
      height:120%;
      }
}
@keyframes animbk {
  from {
        background-position: 0 0;
        transform: scale(1);
        transform: scale(1);
        }
  to {
      background-position: -40px -40px;
      transform: scale(1.2);
      transform: scale(1.2);
      }
}

/*Content layout is a grid*/
.wrap{
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto 1fr;
    overflow-x: hidden;
    width: 100vw;
    min-height: 100vh;
}

/*Side navbar */
.nav{
   display:flex;
   flex-direction:column;
   justify-content:space-between;
   background-color:var(--dark4);
   order: 2;
   z-index:1000;
   height:fit-content;
}
.nav ul{
   list-style: none;
   display: flex;
   justify-content: space-around;
   padding:0;
   height:fit-content;
   font-weight: lighter;
}
.nav ul li{
   margin: 8px 0;
   padding:  0;
   cursor: pointer;
   color: var(--light0);
   position: relative;
   overflow:hidden;
}

.nav ul li:before{
    content: '';
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    transform: skewX(90deg);
    transition: transform 300ms;
    background-color:var(--light1);
    opacity: 0.7;
    z-index:-1;
}

.nav ul li:hover:before{
    transform: skewX(0deg);    
}


.iconav{
   font-size: 1.5rem;
   margin:0 8px 0 8px;    
}
.iconav~span{
display:none;
}

.nav header, .nav footer {
    align-self: center;
    padding: 14px 0;
}

/*Block with texts blocks: about, contact...*/
.content{position: relative;order: 3;}
.content > div{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width:100%;
    height:100%;
    position: absolute;
    opacity: 0;
    top:0;
    left: 100%;
    -webkit-transition: left 500ms ease-in-ou, opacity 300ms 200ms;
    -o-transition: left 500ms ease-in-out, opacity 300ms 200ms;
    transition: left 500ms ease-in-out, opacity 300ms 200ms;
    z-index: 0;
}

/*Class for visible content block*/
.content >div.active {  
    left: 0px;
    top: 0px;
    position: relative;
    height:100%;
    opacity: 1;
}
/*Zoom in-out on showing blocks*/
@keyframes animcontent{
    from {
        transform: scale(1)
    }
    to {
        transform: scale(1.2)
    }
}
.content >div.active {  
    animation: animcontent 200ms 200ms linear 2 alternate;
 }
.card{
   max-width:95%;
   transform: scale(1);
   transition: transform 200ms; 
  }
  
#home .card:hover, 
#about .card:hover, 
#address .card:hover{
   transform:scale(1.2);
}  
.card header{
    font-size: 2rem;
    font-weight:bold;
    position: relative;
    width: fit-content;
}
.content .card header:after{
    content:"";
    background-color:var(--light1);
    position:absolute;
    bottom:-5px;
    left:0;
    height: 10px;
    width: 65%;
    transform: skewX(-40deg);
}

#home footer, #about footer{
    background-color: var(--light0);
    color: var(--dark0);
    margin-right: 0px;
    margin-left: auto;
    padding: 4px 15px;
    width: 60%;
    text-align: right;
}
#about .body{
    font-size: 1.2rem;
    line-height: 160%
}
#address .data{
   font-weight:600; 
   display:grid;
   grid-gap:10px;
   grid-template-columns: 1fr 2fr 
}
/*Social icons*/
.social{
   display:flex;
   justify-content: space-between;
   margin-top: 18px;
   padding: 2px 8px;
   font-size: 2rem;
   color: var(--light2);
   background: var(--dark1);
}
.social i{
  position:relative;
  transform:  scale(1) rotate(0deg);
  transition: transform 500ms;
  }
.social i:hover{
    background: transparent;
    color: var(--light1);
    cursor:pointer;
    overflow: hidden;
    transform:  scale(1.2) rotate(360deg)
}

/*form styles*/
.contactform input, .contactform textarea{
    margin: 10px 0;
    font-size: 1.2rem;
}

.contactform .button{
    background-color: orange;
    border-radius: 8px;
    padding: 4px 14px;
    border:0;
    color: darkblue;
    transition: background-color 500ms;
}
.contactform .button:hover{
    background-color: white;
    color: darkblue;
}
.contactform .respForm{
    position : absolute;
    height : auto;
    width : 100%;
    background-color: var(--light3);
    color: var(--dark0);
    padding: 8px;
    display:none;
    flex-direction:column;
    justify-content:space-between;
    align-items: center;
}
.modal-body{
 width:100%;
 word-wrap: break-word;
}
/************************************/
/*Block where counter is located*/
.counter{
    display: flex;
    align-items: center;
    justify-content: space-around;
    grid-column: 1;
    z-index: 1000;

    position: relative;
    order:1;
}

/*Countdown  block*/
.countdown{
    width: 60%;
}
#count{
    display:grid;
    grid-template-columns: auto auto auto;
    grid-template-rows: auto;
    grid-gap: 20px 0;
    padding: 10px 0 30px 0;
    justify-items:stretch;
    position:relative;
}

#count >div{
    text-align: center;
    font-size: 1.5rem;
}
#hourTimer, #minuteTimer{
    border-top:1px solid white;  
    border-right:1px solid white;  
}
#secondTimer{
    border-top:1px solid white;  
    }

.count-title{
    display:inline
}

/*Days*/
.daywrap{
    position:relative;
    border:0;
    display:flex;
    align-items: center;
    justify-content: center;
}
/*Animate bar below day counter*/
.daywrap:after{
  content:'';
  background-color:var(--light2);
  width:100%;
  height:2px;
  position:absolute;
  bottom: -18px;
  -webkit-animation: timer 1s ease-in infinite ;
  animation: timer 1500ms ease-in infinite alternate;
}
@-webkit-keyframes timer {
  0% {
    opacity:0;
    width:0;
  }
  100% {
    opacity:0.8;
    width:100%;
  }
}
@keyframes timer {
  0% {
    opacity:0;
    bottom: 0%;
    width:0%;
  }
  100% {
    opacity:0.8;
    bottom: 0px;
    width:10%;
  }
}
.days{
font-size: 6rem
}
#dayTimer{
    grid-column: 1 / span 3;
    font-size: 5rem;
    font-weight:bold;
    border:0;
}
#days_title{
    display: inline-block;
    transform: rotate(270deg);
    font-size: 1.8rem;
    color:var(--light1)
}

/**/


@media (min-width: 972px){
.count-title{
    display: block
    }
}
/*Wide screens*/
@media (min-width: 576px){
    .wrap{
        grid-template-columns: 150px 1fr 1fr;
        grid-template-rows: calc(100vh - 0px);
        width: calc(100vw - 0px);
    }
    .nav{
       order: 1;
       height: 100%;
    }
    .nav ul{
        display: block;
        padding: 15px 0;
    }
    .nav ul li{
        padding: 4px 0 4px 15px;
    }
    .nav footer {
       height: 77px; /*like logo for vertical center*/
    }
    .iconav{
        font-size: 1.2rem;
   }
    .iconav~span{
        display:inline-block;
    }
    .wrap >sectiondiv.content, .wrap >section.counter {
        height: 100%;
        width: calc(100% - 0px); 
    }
    .content{
      order:2;
    }
    .content >div{
       height:100%;
    }
    .content .card{
       max-width:60%;
    }
    .counter{
        grid-column: 3;
        order: 3
    }
    .counter::before{
        content:'';
        position: absolute;
        top:15%;
        left:0;
        height: 70%;
        width:2px;
        background-color: var(--light1);
    }    
}


